package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum CouponTypeEnum implements BaseEnum {

    SATISFY("SATISFY","满减券"),
    DISCOUNT("DISCOUNT","折扣券"),
    RANDOM("RANDOM","随机金额券"),
    GOODS("GOODS","商品券"),;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;

}
